window.onload=function(){
    window.jQuery?$(document).ready(function(){
        $(".sidebarNavigation .navbar-collapse").hide().clone().appendTo("body").removeAttr("class").addClass("sideMenu").show(),$("body").append("<div class='overlay'></div>"),
        $(".navbar-toggler").on("click",function(){$(".sideMenu").addClass($(".sidebarNavigation").attr("data-sidebarClass")),
        $(".sideMenu, .overlay").toggleClass("open"),
        $(".overlay").on("click",function(){$(this).removeClass("open"),$(".sideMenu").removeClass("open")})}),
        $(window).resize(function(){$(".navbar-toggler").is(":hidden")?$(".sideMenu, .overlay .navbar-hamburger").hide():$(".sideMenu, .overlay .navbar-close").show()})
    })
    :console.log("sidebarNavigation Requires jQuery"),

    $(window).on('scroll', function(){
        var scroll = $(window).scrollTop();
        if(scroll>=50){
            $(".sticky").addClass("stickyadd");
            $('.custom-logo-link img').attr('src','http://localhost/jaasys/wp-content/themes/jaasys/asset/image/logo-jass-blue.png');
        }else{
            $(".sticky").removeClass("stickyadd");
            $('.custom-logo-link img').attr('src','http://localhost/jaasys/wp-content/themes/jaasys/asset/image/logo-jass.png');
            
        }
    })

    $(document).ready(function() {
        $('.fb-share').click(function(e) {
            e.preventDefault();
            window.open($(this).attr('href'), 'fbShareWindow', 'height=550, width=650, top=' + ($(window).height() / 2 - 275) + ', left=' + ($(window).width() / 2 - 225) + ', toolbar=0, location=0, menubar=0, directories=0, scrollbars=0');
            return false;
        });
    });

    jQuery(document).ready( function($){
      
        // Gets the video src from the data-src on each button
        var $videoSrc;
        $('.video-btn').click(function () {
          $videoSrc = $(this).data("src");
        });
        console.log($videoSrc);
        // when the modal is opened autoplay it  
        $('#myModal').on('shown.bs.modal', function (e) {
      
          // set the video src to autoplay and not to show related video. Youtube related video is like a box of chocolates... you never know what you're gonna get
          $("#video").attr('src', $videoSrc + "?autoplay=1&amp;modestbranding=1&amp;showinfo=0");
        });
        // stop playing the youtube video when I close the modal
        $('#myModal').on('hide.bs.modal', function (e) {
          // a poor man's stop video
          $("#video").attr('src', $videoSrc);
        });
        // document ready  
      });
      //# sourceURL=pen.js
};

(function($) { "use strict";        
$(document).ready(function () {
  var clientSliderID = "our_partner_image_slider_1"; setTimeout(function () { clientSliderID = new Swiper('#our-partner-image-slider-1', { nextButton: '.swiper-next-1',prevButton: '.swiper-prev-1',autoplayStopOnLast: true,autoplayDisableOnInteraction: false,paginationClickable: true,keyboardControl: true,mousewheelControl: false,slidesPerView: 5,breakpoints: { 1199: { slidesPerView: 4 }, 991: { slidesPerView: 3 }, 767: { slidesPerView: 2 }, },loop: true,autoplay: 3000, }); }, 100); var ua = window.navigator.userAgent; var msie = ua.indexOf("MSIE "); /* If Internet Explorer, return version number */ if( msie > 0 || !!navigator.userAgent.match(/Trident.*rv\:11\./)) { setTimeout(function () { $(document).imagesLoaded(function () { if( $( '#our-partner-image-slider-1' ).length > 0 ){ clientSliderID.onResize(); } }); }, 300); } $(window).resize(function () { setTimeout(function () { if ($( '#our-partner-image-slider-1' ).length > 0){ clientSliderID.onResize(); } }, 500); }); $( '.nav-tabs a[data-toggle="tab"]' ).each( function () { $(this).on('shown.bs.tab', function () { if ($('#our-partner-image-slider-1').length > 0) { clientSliderID.onResize(); } }); }); });
})(jQuery);